### Navigation

- index
- modules |
- next |
- previous |
- Pebl v1.0.1 documentation »
- API Reference »

# `taskcontroller.ipy1` – IPython1 task controller

The IPython1 task controller runs pebl tasks over a IPython1 cluster. More information about IPython1 can be found at http://ipython.scipy.org/moin/IPython1.

## Configuration Parameters

`ipython1.controller`

  IPython1 TaskController (default is 127.0.0.1:10113) default=127.0.0.1:10113

## IPython1 Classes

class `pebl.taskcontroller.ipy1.``IPython1Controller`(tcserver=None)

  Create a IPython1Controller instance.

  tcserver is the server and port of the Ipython1 TaskController. It should be of the form <ip>:<port>. (default is “127.0.0.1:10113”).

### Navigation

- index
- modules |
- next |
- previous |
- Pebl v1.0.1 documentation »
- API Reference »